%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-envs.sty
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newtheorem{definition}{Definition.}
\newtheorem{example}{\noindent Example}{}
\newtheorem{remark}{Remark}
\newtheorem{lemma}{Lemma}
\newenvironment{proof-not-ams}{\noindent \emph{Proof.}}{$\Box$\par\medskip}

\NewDocumentCommand\paragraphmini{O{4pt} m}{%
{\vspace{#1}
\noindent{\bf #2}
}}
\NewDocumentCommand\paramini{O{4pt} m}{%
{\vspace{#1}
\noindent{\bf #2}
}}


%% Misc
\newcommand{\siref}[1]{S\ref{#1}} %% Supporting Information ref

\newenvironment{itemizep}
{ \begin{itemize}
    \setlength{\itemsep}{0pt}
    \setlength{\parskip}{0pt}
    \setlength{\parsep}{0pt}     }
{ \end{itemize}   }

%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-SBL.sty
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\sbl}{\codecx{SBL}}
\newcommand{\sbllong}{Structural Bioinformatics Library\xspace}
\newcommand{\sblweb}{\url{http://sbl.inria.fr}}
\newcommand{\sblbib}{\cite{cazals2017structural}}

%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-wp-space-filling-models.sty
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\Dasa}{\ensuremath{\Delta}\! \text{ASA}}     % delta ASA
\newcommand{\sblintervorabw}{\codecx{sbl-intervor-ABW-atomic.exe}}
\newcommand{\sblvorlumepdb}{\codecx{sbl-vorlume-pdb.exe}}


%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-wp-conformational-analysis.sty
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\ANGS}{\textup{\AA}\ensuremath{^2}} % angstrom short ie A^\circ
\newcommand{\angs}{\textup{\AA}\ensuremath{^2}} % angstrom short ie A^\circ
\newcommand{\ang}{\textup{\AA}} % angstrom short ie A^\circ


%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-code
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newcommand{\marmote}{\codecx{Marmote}}

% removed \text{}
\newcommand{\codec}[1]{{\tt \text{#1}}} %code convention: definition
\newcommand{\codecx}[1]{{\tt \text{#1}}\xspace} %code convention
\newcommand{\codectt}[1]{{\tt \text{#1}}} %code convention
%%\newcommand{\codec}[1]{{\sc \text{#1}}\xspace} %code convention

\newcommand{\ucainria}{\codecx{Universit\'e C\^ote d'Azur}, \codecx{Inria}, France\xspace}


%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-symbols
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\NewDocumentCommand\Calpha{g}{\IfNoValueTF{#1}{C_{\alpha}}{C_{\alpha;#1}}}
\NewDocumentCommand\Cbeta{g}{\IfNoValueTF{#1}{C_{\beta}}{C_{\beta;#1}}}


%% default is no norm: opt-mandatory as []{}
\NewDocumentCommand\vvnorm{o m}{%
\left\lVert
{#2}
\right\rVert
\IfNoValueTF{#1}
{}
{_{#1}}
}

\newcommand{\lowerb}[1]{\underline{#1}}
\newcommand{\upperb}[1]{\overline{#1}}

\newcommand{\sign}[1]{\text{sign}({#1})}
\newcommand{\size}[1]{\lvert #1 \rvert}
\newcommand{\fabs}[1]{\mid #1 \mid}
\newcommand{\lfabs}[1]{\arrowvert #1 \arrowvert}

%% Operations on sets
\newcommand{\charFunc}[1]{{\bf 1}_{#1}}  % characteristic function
\newcommand{\indic}[1]{{\bf 1}_{#1}}  % characteristic function
\newcommand{\indicfunc}[1]{{\bf 1}_{#1}}  % characteristic function
\newcommand{\indicFunc}[1]{{\bf 1}_{#1}}  % characteristic function
\newcommand{\indicFuncBool}[1]{{\bf 1}_{#1}}  % indicator function of a boolean
%\newcommand{\indicfuncTwo}[2]{{\bf 1}_{#1,#2}}

\NewDocumentCommand\Sij{g}{\IfNoValueTF{#1}{\ensuremath{S_{ij}}}{\ensuremath{S_{#1}}}}
\NewDocumentCommand\Iij{g}{\IfNoValueTF{#1}{\ensuremath{I_{ij}}}{\ensuremath{I_{#1}}}}

\newcommand{\pdbid}{PDBid\xspace}

\newcommand{\sarsone}{SARS-Cov-1\xspace}
\newcommand{\sarstwo}{SARS-Cov-2\xspace}
\newcommand{\covid}{Covid19\xspace}

\newcommand{\aar}{a.a.\xspace} % amino-acids or residues


\newcommand{\kdis}{K_d}          % dissociation constant
\newcommand{\koff}{\ensuremath{K_{\text{off}}}\xspace}   % on rate
\newcommand{\kon}{\ensuremath{K_{\text{on}}}\xspace}     % off ratre

%vectors
\newcommand{\twoPtsVec}[2]{{\bf #1#2}}
%\newcommand{\bvm}[1]{{\bf #1}} %vector with bold font
%\newcommand{\bfvec}[1]{{\bf #1}} %bold font vector
\newcommand{\vect}[1]{{\mathbf{#1}}} %bold font vector
\newcommand{\bfvec}[1]{{\mathbf{#1}}} %bold font vector
\newcommand{\hatvec}[1]{\overrightarrow{\mathbf{#1}}}


%scalar product
\newcommand{\dotp}[2]{<#1, #2>}

%\newcommand{\innerpI}[3]{ <{#1}, {#2}>_{#3}}  %% \dotpn[#3]{#1}{#2}
%\newcommand{\innerpH}[2]{ <{#1}, {#2}>_{\calH}}   %% \dotpn[\calH]{#1}{#2}

%% default is no norm: opt-mandatory as []{}{}
\NewDocumentCommand\dotpn{o m m}{%
\left<
#2, #3
\right>
\IfNoValueTF{#1}
{}
{_{#1}}
}

\newcommand{\Rnt}{\mathbb{R}}
\newcommand{\Rd}{\mathbb{R}^d}
\newcommand{\Rn}{\mathbb{R}^n}
\newcommand{\Rdn}{\mathbb{R}^{d\cdot n}}

\newcommand{\Cn}{\mathbb{C}}

%cal. letters
\newcommand{\calA}{\mathcal A} \newcommand{\calB}{\mathcal B}
\newcommand{\calC}{\mathcal C} \newcommand{\calD}{\mathcal D}
\newcommand{\calE}{\mathcal E} \newcommand{\calF}{\mathcal F}
\newcommand{\calG}{\mathcal G} \newcommand{\calH}{\mathcal H}
\newcommand{\calI}{\mathcal I} \newcommand{\calJ}{\mathcal J}
\newcommand{\calK}{\mathcal K} \newcommand{\calL}{\mathcal L}
\newcommand{\calM}{\mathcal M} \newcommand{\calN}{\mathcal N}
\newcommand{\calO}{\mathcal O} \newcommand{\calP}{\mathcal P}
\newcommand{\calQ}{\mathcal Q} \newcommand{\calR}{\mathcal R}
\newcommand{\calS}{\mathcal S} \newcommand{\calT}{\mathcal T}
\newcommand{\calU}{\mathcal U} \newcommand{\calV}{\mathcal V}
\newcommand{\calW}{\mathcal W} \newcommand{\calX}{\mathcal X}
\newcommand{\calY}{\mathcal Y} \newcommand{\calZ}{\mathcal Z}

\newcommand{\Kd}{\ensuremath{K_d}\xspace}            % dissociation constant 
\newcommand{\Koff}{\ensuremath{K_{\text{off}}}\xspace}            % dissociation constant 
\newcommand{\Kon}{\ensuremath{K_{\text{on}}}\xspace}            % dissociation constant 

\newcommand{\DeltaGd}{\ensuremath{\Delta G_d}\xspace}

%%\newcommand{\lrmsd}{\text{lRMSD}}
\NewDocumentCommand\lrmsd{gg}{
\IfNoValueTF{#1}
{\text{lRMSD}\xspace}
%%{\text{lRMSD}\left(#1,#2\right)}
{\text{lRMSD}\left(#1,#2\right)\xspace}
}



%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% from macros-comments.sty
%%i%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\newcommand{\quoteen}[1]{``{\em #1}''} % from the evaluation


\definecolor{darkgreen}{rgb}{0,0.7,0}

\newcommand{\tored}{\color{red}\xspace}
\newcommand{\tor}{\color{red}\xspace}
\newcommand{\toblue}{\color{blue}\xspace}
\newcommand{\tob}{\color{blue}\xspace}

\newcommand{\toblack}{\color{black}\xspace}
\newcommand{\togreen}{\color{green}\xspace}
\newcommand{\todgreen}{\color{darkgreen}\xspace}
\newcommand{\todg}{\color{darkgreen}\xspace}

\newcommand{\tochanges}{\tored}

\newcommand{\topurple}{\color{purple}\xspace}
\newcommand{\toorange}{\color{orange}\xspace}

\newcommand{\bbold}[1]{{\bf #1}}
\newcommand{\tobold}[1]{{\bf #1}}

\newcommand{\rred}[1]{{\textcolor{red}{#1}}}         %text added
\newcommand{\bblue}[1]{\textcolor{blue}{#1}}
\newcommand{\ggray}[1]{\textcolor{gray}{#1}}
\newcommand{\ppurple}[1]{\textcolor{purple}{#1}}
\newcommand{\ggreen}[1]{\textcolor{green}{#1}}

\newcommand{\ddarkgreen}[1]{\textcolor{darkgreen}{#1}}
\newcommand{\ddgreen}[1]{\textcolor{darkgreen}{#1}}
\newcommand{\oorange}[1]{\textcolor{orange}{#1}}

\newcommand{\stl}{$\bblue{\triangleright}$}
\newcommand{\striangle}{\noindent$\triangleright$}

\newcommand{\sred}[1]{$\bblue{\triangleright}$ \textcolor{red}{#1}}
\newcommand{\sblue}[1]{$\bblue{\triangleright}$ \textcolor{blue}{#1}}
\newcommand{\sbold}[1]{$\triangleright$ {\bf #1}}

\newcommand{\tref}[1]{\stl{}{\scriptsize \tt Ref: #1}}
\newcommand{\treff}[1]{\stl{}{\scriptsize \tt Ref: #1}}
\newcommand{\treffnoref}[1]{\stl{}{\scriptsize \tt #1}}

\newcommand{\refeq}[1]{Eq. (\ref{#1})\xspace}
%\newcommand{\rref} [1]{Eq. (\ref{#1})\xspace}



\newcommand{\makeremark}[2]{
  \newcommand{#1}[1]
    {$\longrightarrow$\textcolor{red}{\sc #2: ##1}$\leftarrow$ \medskip}}

% the same, with a color
\newcommand{\makeremarkcolor}[3]{
  \newcommand{#1}[1]
    {$\longrightarrow$\textcolor{#3}{\sc #2: ##1}$\leftarrow$ \medskip}}



%%\newcommand{\rred}[1]{{\textcolor{red}{#1}}}         %text added
\newcommand{\redt}[1]{{\textcolor{red}{#1}}}         %text added

\newcommand{\added}[1]{{\textcolor{red}{#1}}}         %text added
\newcommand{\changed}[1]{{\textcolor{red}{\sc #1}}}   %text changed
\newcommand{\remt}[1]{{\textcolor{red}{\st{#1}}}}      %piece of text removed
\newcommand{\tcomment}[1]{{\textcolor{blue}{\sc #1}}} %comment in text


\newcommand{\makeremarkMargin}[2]{\marginpar{\tiny{\color{red}#1}:\color{blue}#2}}

\makeremark{\fc}{Frederic says}
\makeremark{\sm}{Simon says}
\makeremark{\tod}{Timothee  says}



\newcommand{\HLine}{
\begin{center}
\line(1,0){250}
\end{center}
}

\newcommand{\myhline}[1]{
\noindent
\line(1,0){#1}
\medskip
}

